Page MenuHomePhabricator

[lldb] Replace StringConvert with llvm::to_integer when parsing integer values in CommandObjects
ClosedPublic

Authored by teemperor on Jun 22 2020, 6:30 AM.

Details

Summary

This replaces the current use of LLDB's own StringConvert with LLVM's to_integer which
has a less error-prone API and doesn't use special 'error values' to designate parsing problems.

Where needed I also added missing error handling code that prints a parsing error instead of continuing
with the error value returned from StringConvert (which either gave a cryptic error message or just took
the error value performed an incorrect action with it. For example, frame recognizer delete -1
just deleted the frame recognizer at index 0).

Diff Detail

Event Timeline

teemperor created this revision.Jun 22 2020, 6:30 AM
labath accepted this revision.Jun 23 2020, 12:37 AM
labath added a subscriber: labath.

cool

lldb/test/API/commands/process/signal/TestProcessSignal.py
10

@no_debug_info_test

This revision is now accepted and ready to land.Jun 23 2020, 12:37 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 1 2020, 8:38 AM